Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Pagefile_Memory_Pool.cpp File Reference

`#include "ace/Pagefile_Memory_Pool.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/RW_Thread_Mutex.h"`
`#include "ace/OS_NS_sys_mman.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_sys_stat.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ace/Based_Pointer_T.h"`
`#include "ace/Based_Pointer_Repository.h"`

Include dependency graph for Pagefile_Memory_Pool.cpp:

## Defines
#define | ACE_MAP_FILE(_hnd, _access, _offHigh, _offLow, _nBytes, _baseAdd) MapViewOfFileEx (_hnd, _access, _offHigh, _offLow, _nBytes, _baseAdd)

## Define Documentation

#define ACE_MAP_FILE | ( | _hnd,
|  | _access,
|  | _offHigh,
|  | _offLow,
|  | _nBytes,
|  | _baseAdd |  | ) | MapViewOfFileEx (_hnd, _access, _offHigh, _offLow, _nBytes, _baseAdd)